package vishnu.datablock;

import java.io.*;
import java.util.*;



public class DataBlock implements Serializable
{
    public int [] docs = null;
    public String [] descriptions = null;
    public String [] words = null;
    public SparseMatrix matrix = null;
    public Vector [] clusters = null;
    public Point2D [] sammon = null;

    public DataBlock() {
    }
    public DataBlock(int[] docs,
		     String [] descriptions,
		     String [] words,
		     SparseMatrix matrix,
		     Vector [] clusters,
		     Point2D [] sammon)
    {
	this.docs = docs;
	this.descriptions = descriptions;
        this.words = words;
	this.matrix = matrix;
	this.clusters = clusters;
	this.sammon = sammon;
    }
    
}

